Name:           gstm
Version:        1.2
Release:        10%{?dist}
Summary:        A front-end to ssh tunneling

Group:          Applications/Internet
License:        GPLv2+
URL:            http://gstm.sourceforge.net
Source0:        http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         gstm-1.2-autoconf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel, desktop-file-utils, gettext, libxml2-devel, pkgconfig
Requires:       openssh-clients, gaskpass

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for 
managing ssh tunneled portredirects.

%package -n gaskpass
Group:          Applications/Internet
Summary:        A Gnome X11 passphrase dialog for OpenSSH
%description -n gaskpass
%{summary}.


%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
        --add-category X-Fedora                              \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%files -n gaskpass
%{_bindir}/gaskpass

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2-9
- add BR libxml2-devel & pkgconfig, redo auto* to pick them up.
  Fixes FTBFS BZ#434531
- Steven Bakker: remove extraneous desktop file category

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2-7
- Autorebuild for GCC 4.3

* Sat Mar 10 2007 Damien Durand <splinux@fedoraproject.org> - 1.2-6
- Added gaskpass in Requires (#230389)

* Thu Sep 05 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-5
- Fixed description and datadir/pixmpaps

* Thu Aug 26 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-4
- Added patch from Laurent Rineau

* Thu Aug 19 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-3
- Added openssh in Requires

* Thu Aug 12 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-2
- Removed openssh in BuildRequires

* Thu Aug 08 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-1
- Initial package
